Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTPTransport = void 0;
var tslib_1 = require("tslib");
var http = require("http");
var base_1 = require("./base");
/** Node http module transport */
var HTTPTransport = /** @class */ (function (_super) {
    tslib_1.__extends(HTTPTransport, _super);
    /** Create a new instance and set this.agent */
    function HTTPTransport(options) {
        var _this = _super.call(this, options) || this;
        _this.options = options;
        _this.module = http;
        _this.client = new http.Agent({ keepAlive: false, maxSockets: 30, timeout: 2000 });
        return _this;
    }
    /**
     * @inheritDoc
     */
    HTTPTransport.prototype.sendPayload = function (payload) {
        if (!this.module) {
            throw new Error('No module available in HTTPTransport');
        }
        return this._sendWithModule(this.module, payload);
    };
    return HTTPTransport;
}(base_1.BaseTransport));
exports.HTTPTransport = HTTPTransport;
//# sourceMappingURL=http.js.map